Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class AbstractInjectableGrailsClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass

All Implemented Interfaces:
  InjectableGrailsClass

    public abstract class AbstractInjectableGrailsClass
    extends AbstractGrailsClass

Configures Grails classe to be autowirable by name, always.

Authors:
  Graeme Rocher
  Steven Devijver

Since:
  0.1

Field Summary

Fields inherited from class AbstractGrailsClass
grailsApplication

Constructor Summary
`AbstractInjectableGrailsClass(java.lang.Class clazz, java.lang.String trailingName)`

Method Summary
`boolean` | `byName()`
`boolean` | `byType()`
`boolean` | `getAvailable()`

Methods inherited from class AbstractGrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### AbstractInjectableGrailsClass

    public AbstractInjectableGrailsClass(java.lang.Class clazz, java.lang.String trailingName)

Method Detail

### byName

    public boolean byName()

### byType

    public boolean byType()

### getAvailable

    public boolean getAvailable()

Groovy Documentation